Description

I observed that the total number of counts in a given energy range computed by ctmodel depends on the number of energy bins (or

the other way around - on the bin sizes themselves?).

I stumbled about it when computing a model map for the energy range of 350-650 GeV using irf background. Computing the model

counts with enumbins=1 yielded a total number of counts which was ~18% higher than the one obtained by subdividing the same

energy range into sub bins (e.g. with enumbins=3) and stacking along the energy axis.

The attached figure shows the described behavior, exemplarily for a single observation of my use case.

 

I also see the issue for larger energy ranges (e.g. 1-10TeV) and effective area background (but less dominant).

The overshoot varies for my scenario between 7% and 18% for different individual observations.

May the issue hence be connected to irf integration accuracy?

History

#1 - 11/19/2019 09:03 PM - Knödlseder Jürgen

This is not surprising. ctmodel samples the model at the logarithmic bin centre, hence with a fine sampling things become more accurate. See for

example http://cta.irap.omp.eu/ctools/users/tips/index.html#tip-binned.

#2 - 11/20/2019 10:44 AM - Specovius Andreas

- Tracker changed from Bug to Support

- Status changed from New to Resolved

Choosing apriori multiple sub-bins was a bit unintuitive as I wanted to have a single energy bin in the end but of course, you are totally right!

Thank you for your quick reply!

Set the tracker to Support because there was no bug.

#3 - 01/28/2020 10:10 AM - Knödlseder Jürgen

- Status changed from Resolved to Closed
